[arch-commits] Commit in perl-sdl/repos (6 files)

Florian Pritz bluewind at archlinux.org
Fri May 27 08:01:24 UTC 2016


    Date: Friday, May 27, 2016 @ 10:01:23
  Author: bluewind
Revision: 268676

db-move: moved perl-sdl from [staging] to [testing] (i686, x86_64)

Added:
  perl-sdl/repos/testing-i686/
  perl-sdl/repos/testing-i686/PKGBUILD
    (from rev 268675, perl-sdl/repos/staging-i686/PKGBUILD)
  perl-sdl/repos/testing-x86_64/
  perl-sdl/repos/testing-x86_64/PKGBUILD
    (from rev 268675, perl-sdl/repos/staging-x86_64/PKGBUILD)
Deleted:
  perl-sdl/repos/staging-i686/
  perl-sdl/repos/staging-x86_64/

-------------------------+
 testing-i686/PKGBUILD   |   50 ++++++++++++++++++++++++++++++++++++++++++++++
 testing-x86_64/PKGBUILD |   50 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 100 insertions(+)

Copied: perl-sdl/repos/testing-i686/PKGBUILD (from rev 268675, perl-sdl/repos/staging-i686/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2016-05-27 08:01:23 UTC (rev 268676)
@@ -0,0 +1,50 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: Sarah Hay <sarahhay at mb.sympatico.ca>
+
+pkgname=perl-sdl
+pkgver=2.546
+pkgrel=2
+pkgdesc="Simple DirectMedia Layer for Perl"
+arch=(i686 x86_64)
+license=(LGPL)
+url="http://sdl.perl.org"
+depends=(perl-alien-sdl perl-tie-simple
+         sdl_net sdl_ttf sdl_image sdl_mixer sdl_gfx sdl_pango smpeg)
+makedepends=('perl-module-build>=0.40')
+options=('!emptydirs')
+replaces=(sdl_perl)
+conflicts=(sdl_perl)
+provides=("sdl_perl=$pkgver")
+# http://search.cpan.org/dist/SDL/
+_author=FROGGS
+source=(http://search.cpan.org/CPAN/authors/id/${_author::1}/${_author::2}/$_author/SDL-$pkgver.tar.gz)
+md5sums=('a93283d0fff67bdec5ff4bb8c1d30a09')
+
+build() {
+  cd SDL-$pkgver
+  # Perl selects the proper CFLAGS set for binary modules
+  unset CFLAGS
+  # install module in vendor directories
+  perl Build.PL installdirs=vendor
+  perl Build
+}
+
+check() {
+  cd SDL-$pkgver
+  perl Build test || true
+}
+
+package() {
+  cd SDL-$pkgver
+  perl Build install destdir="$pkgdir"
+
+# template start; name=perl-binary-module-dependency; version=1;
+if [[ $(find "$pkgdir/usr/lib/perl5/" -name "*.so") ]]; then
+	_perlver_min=$(perl -e '$v = $^V->{version}; print $v->[0].".".($v->[1]);')
+	_perlver_max=$(perl -e '$v = $^V->{version}; print $v->[0].".".($v->[1]+1);')
+	depends+=("perl>=$_perlver_min" "perl<$_perlver_max")
+fi
+# template end;
+}

Copied: perl-sdl/repos/testing-x86_64/PKGBUILD (from rev 268675, perl-sdl/repos/staging-x86_64/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2016-05-27 08:01:23 UTC (rev 268676)
@@ -0,0 +1,50 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: Sarah Hay <sarahhay at mb.sympatico.ca>
+
+pkgname=perl-sdl
+pkgver=2.546
+pkgrel=2
+pkgdesc="Simple DirectMedia Layer for Perl"
+arch=(i686 x86_64)
+license=(LGPL)
+url="http://sdl.perl.org"
+depends=(perl-alien-sdl perl-tie-simple
+         sdl_net sdl_ttf sdl_image sdl_mixer sdl_gfx sdl_pango smpeg)
+makedepends=('perl-module-build>=0.40')
+options=('!emptydirs')
+replaces=(sdl_perl)
+conflicts=(sdl_perl)
+provides=("sdl_perl=$pkgver")
+# http://search.cpan.org/dist/SDL/
+_author=FROGGS
+source=(http://search.cpan.org/CPAN/authors/id/${_author::1}/${_author::2}/$_author/SDL-$pkgver.tar.gz)
+md5sums=('a93283d0fff67bdec5ff4bb8c1d30a09')
+
+build() {
+  cd SDL-$pkgver
+  # Perl selects the proper CFLAGS set for binary modules
+  unset CFLAGS
+  # install module in vendor directories
+  perl Build.PL installdirs=vendor
+  perl Build
+}
+
+check() {
+  cd SDL-$pkgver
+  perl Build test || true
+}
+
+package() {
+  cd SDL-$pkgver
+  perl Build install destdir="$pkgdir"
+
+# template start; name=perl-binary-module-dependency; version=1;
+if [[ $(find "$pkgdir/usr/lib/perl5/" -name "*.so") ]]; then
+	_perlver_min=$(perl -e '$v = $^V->{version}; print $v->[0].".".($v->[1]);')
+	_perlver_max=$(perl -e '$v = $^V->{version}; print $v->[0].".".($v->[1]+1);')
+	depends+=("perl>=$_perlver_min" "perl<$_perlver_max")
+fi
+# template end;
+}



More information about the arch-commits mailing list